Subject: Re: texinfo.tex 2016-05-07.20: "Tex capacity exceeded" with Emacs manuals

From: Paul Eggert <[email-masked]>
Date: Thu, 26 May 2016 08:48:59 -0700

On 05/26/2016 08:20 AM, Gavin Smith wrote:
> These instructions download several 100's of MB of a git repository
> and I wasn't willing to let it finish. I tried the file
> "emacs-lisp-intro.texi" from
> http://git.savannah.gnu.org/cgit/emacs.git/tree/doc/lispintro, and
> after editing the file a bit (so it didn't need other files), I
> processed it with that version of texinfo.tex. Unfortunately, I wasn't
> able to reproduce the error.

OK, here's a smaller example taken from the Emacs source code. Unpack 
the attached tarball in a fresh directory, copy the latest Gnulib 
texinfo.tex into it, and run the shell command 'texi2pdf bovine.texi'. 
On my platform (Fedora 23 x86-64, texi2pdf (GNU Texinfo 6.0) 6363) the 
output says './bovine.toc:1: TeX capacity exceeded, sorry [input stack 
size=5000].' Full output log attached.

Thanks for looking into the problem.